Skip to main content
GET
/
api
/
billing-info-records
Get Billing Info Records
curl --request GET \
  --url https://fleet.staging.ezprk.dev/api/billing-info-records \
  --header 'Authorization: Bearer <token>'
{
  "pageSize": 123,
  "pagesCount": 123,
  "currentPage": 123,
  "totalRecordsCount": 123,
  "records": [
    {
      "infoId": 123,
      "infoRecordId": 123,
      "recordType": "<string>",
      "recordSubType": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "costCenter": "<string>",
      "currency": {
        "currencyCode": "<string>",
        "displayName": "<string>",
        "symbol": "<string>",
        "defaultFractionDigits": 123,
        "numericCode": 123,
        "numericCodeAsString": "<string>"
      },
      "vat": 123,
      "amountExcludingVat": 123,
      "amountIncludingVat": 123,
      "parking": {
        "licensePlate": "<string>",
        "id": 123,
        "areaNumber": "<string>",
        "areaName": "<string>",
        "areaCity": "<string>",
        "subType": "<string>",
        "areaId": 123,
        "operatorName": "<string>",
        "operatorVatNumber": "<string>",
        "countryCode": "<string>",
        "note": "<string>",
        "currency": "<string>"
      },
      "user": {
        "id": 123,
        "firstName": "<string>",
        "lastName": "<string>",
        "phoneNumber": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

You can get the JWT from the Login endpoint

Query Parameters

fromDate
string<date>

Format: YYYY-MM-DD

toDate
string<date>

Format: YYYY-MM-DD

pageSize
integer<int32>
default:1000
Required range: 1 <= x <= 1000000
page
integer<int32>
default:1
Required range: 1 <= x <= 10000

Response

200 - */*

OK

pageSize
integer<int32>
pagesCount
integer<int32>
currentPage
integer<int32>
totalRecordsCount
integer<int32>
records
object[]